package cn.axzo.msg.center.notices.manager.api.dto.response;

import cn.axzo.msg.center.notices.common.enums.ChuangLanStatusEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ChuangLanCallbackResponseDto {

  private String clcode;

  public static ChuangLanCallbackResponseDto success(){
    return new ChuangLanCallbackResponseDto(ChuangLanStatusEnum.SUCCESS.getCode());
  }

  public static ChuangLanCallbackResponseDto fail(){
    return new ChuangLanCallbackResponseDto(ChuangLanStatusEnum.FAIL.getCode());
  }

}
